curl --request PUT \
--url https://{cluster}.voucherify.io/v1/product-collections/{productCollectionId} \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"name": "New static collection name"
}
'{
"id": "pc_bQ2p9TycbEhd3YzwFCR3JQYA",
"name": "Shirts",
"type": "STATIC",
"products": [
{
"id": "prod_0a9f9aeddb019a42db",
"object": "product"
},
{
"id": "prod_0a9f9ab4ab019a42d5",
"object": "product"
}
],
"created_at": "2022-02-28T11:42:12.484Z",
"updated_at": "2026-02-23T17:43:22.384Z",
"object": "products_collection"
}Update Product Collection
Updates the product collection.
For STATIC collections, you can update only the name.
For AUTO_UPDATE collections, you can update its name and filters.
curl --request PUT \
--url https://{cluster}.voucherify.io/v1/product-collections/{productCollectionId} \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"name": "New static collection name"
}
'{
"id": "pc_bQ2p9TycbEhd3YzwFCR3JQYA",
"name": "Shirts",
"type": "STATIC",
"products": [
{
"id": "prod_0a9f9aeddb019a42db",
"object": "product"
},
{
"id": "prod_0a9f9ab4ab019a42d5",
"object": "product"
}
],
"created_at": "2022-02-28T11:42:12.484Z",
"updated_at": "2026-02-23T17:43:22.384Z",
"object": "products_collection"
}Authorizations
Path Parameters
A unique product collection ID.
"pc_41V4DiQQO8YGqj0J2oZD57j4"
Body
Specify the parameters to be updated.
- Product Collections Create Static Request Body
- Product Collections Update Dynamic (Auto Update) Request Body
Request body schema for PUT v1/product-collections/{productCollectionId}.
Unique user-defined product collection name.
Response
Returns a product collection object if a valid identifier was provided in the path.
Response body schema for PUT v1/product-collections/{productCollectionId}.
Product collection ID.
Unique user-defined product collection name.
"All Products"
Describes whether the product collection is dynamic (products come in and leave based on set criteria) or static (manually selected products).
STATIC, AUTO_UPDATE Timestamp representing the date and time when the product collection was created. The value is shown in the ISO 8601 format.
"2021-12-09T12:51:29.898Z"
The type of the object represented by JSON. This object stores information about the static product collection.
products_collection Defines a set of criteria and boundary conditions for an AUTO_UPDATE product collection type.
Show child attributes
Show child attributes
Defines a set of products for a STATIC product collection type.
Show child attributes
Show child attributes
Timestamp representing the date and time when the product collection was last updated. The value is shown in the ISO 8601 format.
"2022-04-26T08:35:54.960Z"
Was this page helpful?

